import 'package:flutter/painting.dart';
import 'package:ui_kit/colors.dart';
import 'package:ui_kit/utils.dart';

final title1Semibold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 24,
  color: blackColor,
  fontWeight: FontWeight.w600,
  letterSpacing: letterSpacing(24, 0.33),
);

final title1ExtraBold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 24,
  color: blackColor,
  fontWeight: FontWeight.w800,
  letterSpacing: letterSpacing(24, 0.33),
);

final title2Regular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 20,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(20, 0.38),
);

final title2Semibold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 20,
  color: blackColor,
  fontWeight: FontWeight.w600,
  letterSpacing: letterSpacing(20, 0.38),
);

final title2ExtraBold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 20,
  color: blackColor,
  fontWeight: FontWeight.w600,
  letterSpacing: letterSpacing(20, 0.38),
);

final title3Regular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 17,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(17, 0),
);

final title3Medium = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 17,
  color: blackColor,
  fontWeight: FontWeight.w500,
  letterSpacing: letterSpacing(17, 0),
);

final title3Semibold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 17,
  color: blackColor,
  fontWeight: FontWeight.w600,
  letterSpacing: letterSpacing(17, 0),
);

final headlineRegular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 16,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(16, -0.32),
);

final headlineMedium = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 16,
  color: blackColor,
  fontWeight: FontWeight.w500,
  letterSpacing: letterSpacing(16, -0.32),
);

final textRegular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 15,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(16, 0),
);

final textMedium = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 15,
  color: blackColor,
  fontWeight: FontWeight.w500,
  letterSpacing: letterSpacing(16, 0),
);

final captionRegular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 14,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(16, 0),
);

final captionSemibold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 14,
  color: blackColor,
  fontWeight: FontWeight.w600,
  letterSpacing: letterSpacing(16, 0),
);

final caption2Regular = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 12,
  color: blackColor,
  fontWeight: FontWeight.w400,
  letterSpacing: letterSpacing(16, 0),
);

final caption2Bold = TextStyle(
  fontFamily: 'Roboto',
  fontSize: 12,
  color: blackColor,
  fontWeight: FontWeight.w700,
  letterSpacing: letterSpacing(16, 0),
);
